Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 468302 (apache-2.4-stable) - www-servers/apache-2.4.18 and app-admin/apache-tools-2.4.18 stable request
Summary: www-servers/apache-2.4.18 and app-admin/apache-tools-2.4.18 stable request
Status: RESOLVED FIXED
Alias: apache-2.4-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 12 votes (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 575598 356435 410451 410453 410699 411299 438150 438464 438758 440972 443670 444218 446126 450402 454572 458470 459446 460434 460438 463526 467072 468306 476358 477702 492444 498006 505934 506610 513232 523010 525606 532718 532740 532772 532778 532780 532790 532798 532800 532804 532808 532810 532816 532820 532822 532824 532832 532834 532838 532840 532842 532856 532862 532864 532866 532872 532916 548936 548980 550246 572434
Blocks: 382055 480310 532744 532782 532786 532788 532794 532796 532802 532806 532818 532826 532830 532836 532858 532860 532868 532870 548932 548968 548974 548978 548982 548986 549000 549002 553798 579536
  Show dependency tree
 
Reported: 2013-05-02 14:50 UTC by Raymond Jennings
Modified: 2016-07-18 05:01 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raymond Jennings 2013-05-02 14:50:06 UTC
Apache 2.4 has been in ~arch status for awhile.  Flameeyes demoted it back to ~arch awhile ago and I don't find anything other than QA as a reason.  Not specific enough to indicate what happened or what needs to be fixed.

Reproducible: Always
Comment 1 Zoltán Halassy 2013-05-02 15:27:06 UTC
Please add bug 468306 . Thank you.
Comment 2 Dirkjan Ochtman gentoo-dev 2013-09-17 15:42:41 UTC
Patrick, can you give an update about your plans for this?
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2014-04-24 09:59:53 UTC
Let's convert this bug into a tracker.
Comment 4 Pacho Ramos gentoo-dev 2014-12-17 17:02:36 UTC
All reverse deps checked...
Comment 5 Zoltán Halassy 2014-12-18 09:12:35 UTC
Err, I don't get it, why bug 471592 (mod_spdy 2.4 support) would be a stable blocker, as mod_spdy is hard masked still. Not even ~amd64 for apache 2.2. That apache module even would need NPN support in mod_ssl, which we also don't have in 2.2. I don't think we should hold back apache 2.4 for a mod we don't have proper support for 2.2 neither.
Comment 6 Pacho Ramos gentoo-dev 2014-12-18 10:39:23 UTC
If that bug becomes the ultimate blocker, of course we can go ahead... but at this stages it won't add more delays as there are many other pending bugs
Comment 7 Pacho Ramos gentoo-dev 2015-06-02 08:30:19 UTC
Any help (patches, diffs...) with pending opened bugs blocking this one would be highly appreciated :)

Thanks
Comment 8 Pacho Ramos gentoo-dev 2015-11-05 16:38:44 UTC
Lars, what is pending for doing this apart of bug 532718 (well, if you know about how to solve that one, it would be even nicer ;)

Thanks
Comment 9 Dirkjan Ochtman gentoo-dev 2015-12-06 09:36:01 UTC
Now that there's only one blocker (and apparently a lot of the work in bug 532718 has actually already been done), can we just stabilize this thing? It's been long enough.
Comment 10 Pacho Ramos gentoo-dev 2016-01-05 10:49:07 UTC
(In reply to Dirkjan Ochtman from comment #9)
> Now that there's only one blocker (and apparently a lot of the work in bug
> 532718 has actually already been done), can we just stabilize this thing?
> It's been long enough.

+1, but I am not the maintainer and I am unsure about what information (if needed) should we give to the users for updating :/
Comment 11 Lars Wendler (Polynomial-C) gentoo-dev 2016-02-09 09:05:19 UTC
Arches please test and mark stable the following packages:

=app-admin/apache-tools-2.4.18
=www-servers/apache-2.4.18

target KEYWORDS are:

alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x64-macos ~x86-macos ~m68k-mint ~sparc64-solaris ~x64-solaris


Let's see how bad this turns out :-/
Comment 12 Tobias Klausmann gentoo-dev 2016-02-09 17:06:41 UTC
Stable on alpha.
Comment 13 Markus Meier gentoo-dev 2016-02-25 17:21:29 UTC
arm stable
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2016-03-05 16:55:45 UTC
amd64 stable
Comment 15 Jeroen Roovers (RETIRED) gentoo-dev 2016-07-18 04:59:48 UTC
2.4.20 and 2.4.23 were stabilised in the mean time. I guess this one is done, then. Closing.